Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryFieldInfo

    java.lang.Object
      jet.api.QueryFieldInfo

    public class QueryFieldInfo

extends java.lang.Object

Constructor Summary
`QueryFieldInfo()` Constructor.
`QueryFieldInfo(java.lang.String tablename)` Constructor.
`QueryFieldInfo(java.lang.String tablename, java.lang.String fieldname)` Constructor.

Method Summary
`void` | `add(java.lang.String tablename)` Adds an object of all fields in the specified table
`void` | `add(java.lang.String tablename, java.lang.String fieldname)` Adds a specified field object.
`void` | `addFormula(java.lang.String fmlname)` Adds a specified formula field object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryFieldInfo

    public QueryFieldInfo()

  Constructor. Creates the specified field object.

### QueryFieldInfo

    public QueryFieldInfo(java.lang.String tablename,
                          java.lang.String fieldname)

  Constructor. Creates the specified field object.

  Parameters:
    `tablename` - the table name of the specified field
    `fieldname` - the name of the specified field

### QueryFieldInfo

    public QueryFieldInfo(java.lang.String tablename)

  Constructor. Creates an object of the all fields in the table

  Parameters:
    `tablename` - the table name of the fields

Method Detail

### add

    public void add(java.lang.String tablename)

  Adds an object of all fields in the specified table

  Parameters:
    `tablename` - the table name of the fields

### add

    public void add(java.lang.String tablename,
                    java.lang.String fieldname)

  Adds a specified field object.

  Parameters:
    `tablename` - the table name of the specified field
    `fieldname` - the name of the specified field

### addFormula

    public void addFormula(java.lang.String fmlname)

  Adds a specified formula field object.

  Parameters:
    `fmlname` - the formula name of the specified query field

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD